# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/realtek-bluetooth.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: RTL8723BS/RTL8723CS/RTL8822CS Bluetooth Device Tree Bindings

maintainers:
  - Vasily Khoruzhick <anarsoul@gmail.com>
  - Alistair Francis <alistair@alistair23.me>

description:
  RTL8723CS/RTL8723CS/RTL8822CS is WiFi + BT chip. WiFi part is connected over
  SDIO, while BT is connected over serial. It speaks H5 protocol with few
  extra commands to upload firmware and change module speed.

properties:
  compatible:
    oneOf:
      - const: "realtek,rtl8723bs-bt"
      - const: "realtek,rtl8723cs-bt"
      - const: "realtek,rtl8822cs-bt"

  device-wake-gpios:
    maxItems: 1
    description: GPIO specifier, used to wakeup the BT module

  enable-gpios:
    maxItems: 1
    description: GPIO specifier, used to enable the BT module

  host-wake-gpios:
    maxItems: 1
    description: GPIO specifier, used to wakeup the host processor

required:
  - compatible

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    uart1 {
        pinctrl-names = "default";
        pinctrl-0 = <&uart1_pins>, <&uart1_rts_cts_pins>;
        uart-has-rtscts;

        bluetooth {
            compatible = "realtek,rtl8723bs-bt";
            device-wake-gpios = <&r_pio 0 5 GPIO_ACTIVE_HIGH>; /* PL5 */
            host-wake-gpios = <&r_pio 0 6 GPIO_ACTIVE_HIGH>; /* PL6 */
        };
    };
